    section {
        width: var(--all-width);
        display: flex;
        gap: 10px;
        margin: 0 auto;
    }

    section img {
        height: 100%;
        position: absolute;
        top: 0;
    }

    .lef-box {
        width: 35%;
        display: flex;
        flex-direction: column;
        gap: 10px;
        position: sticky;
        top: 10px;
        margin-bottom: auto;
    }

    .rig-box {
        flex: 1;
        display: flex;
        flex-direction: column;
        gap: 10px;
    }

    section h4 {
        background: linear-gradient(to bottom, #433f5a 0%, #2f2c3f 48%, #282635 53%, #1d1828 100%);
        border: 1px solid #000;
        white-space: nowrap;
        padding: 8px 15px;
    }

    .sect-body {
        padding: 10px;
        background-color: #0F0B0C;
        border: 1px solid #000;
    }

    .one-box {
        width: 100%;
        padding: 7px 0;
        position: relative;
        display: flex;
        gap: 10px;
        padding-left: 10px;
    }

    .one-box:hover {
        background-color: rgba(255, 255, 255, 0.15);
    }

    .one-img {
        width: 20%;
        position: relative;
    }

    .one-img::before {
        content: '';
        padding-top: 100%;
        display: block;
    }

    .one-text {
        flex: 1;
        display: flex;
        flex-direction: column;
        justify-content: center;
        gap: 10px;
    }

    .one-text span:nth-child(1) {
        color: #fda238;
    }

    .one-text span:nth-child(2) {
        font-family: "";
        font-size: 14px;
    }

    .one-text span:nth-child(2) font {
        font-family: "";
    }

    .one-box::before {
        position: absolute;
        padding: 4px 8px;
        background-color: #000000da;
        left: 10px;
        top: 7px;
        font-size: 12px;
        font-weight: 700;
        z-index: 1;
        border-radius: 0 0 5px 0;
    }

    .no-1::before {
        content: '1';
    }

    .no-2::before {
        content: '2';
    }

    .no-3::before {
        content: '3';
    }

    .no-4::before {
        content: '4';
    }

    .no-5::before {
        content: '5';
    }

    .sect-body[data-type=new],
    .sect-body[data-type=hot],
    .sect-body[data-type=recommend],
    .sect-body[data-type=all] {
        display: flex;
        flex-wrap: wrap;
    }

    .new-img {
        position: relative;
    }

    .new-img::before {
        content: '';
        padding-top: 100%;
        display: block;
    }

    /* #two {
        position: sticky;
        top: 10px;
    } */

    .new-text {
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .hot-box {
        background: #313131;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        color: white;
        transition: 0.2s ease-in-out;
        border-radius: 8px;
        overflow: hidden;
        position: relative;
    }

    .hot-img {
        position: relative;
        width: 100%;
    }

    .hot-img::before {
        content: '';
        padding-top: 140%;
        display: block;
    }

    .textBox {
        width: 100%;
        height: 100%;
        opacity: 0;
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;
        gap: 15px;
        transition: 0.2s ease-in-out;
        z-index: 2;
        position: absolute;
        top: 0;
        background-color: #00000057;
    }

    .textBox>.text {
        font-weight: bold;
    }

    .textBox>.head {
        text-align: center;
        font-size: 20px;
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
        padding: 0 10px;
    }

    .textBox>span {
        font-size: 14px;
        color: rgb(228, 228, 228);
    }

    .hot-box:hover>.textBox {
        opacity: 1;
    }

    .hot-box:hover>.hot-img {
        height: 100%;
        filter: blur(7px);
        animation: anim 3s infinite;
    }

    @keyframes anim {
        0% {
            transform: translateY(0);
        }

        50% {
            transform: translateY(-20px);
        }

        100% {
            transform: translateY(0);
        }
    }

    .hot-box:hover {
        transform: scale(1.04) rotate(-1deg);
    }

    .recommend-box {
        box-shadow: 0px 1px 13px rgba(0, 0, 0, 0.1);
        cursor: pointer;
        transition: all 120ms;
        display: flex;
        align-items: center;
        justify-content: center;
        background: rgb(34, 30, 31);
        padding: 0.5em;
        padding-bottom: 3.4em;
        position: relative;
        overflow: hidden;
        color: #000;
    }

    .recommend-box::after {
        content: "Let's play ！";
        padding-top: 1.25em;
        padding-left: 1.25em;
        position: absolute;
        left: 0;
        bottom: -60px;
        background: #00AC7C;
        color: #fff;
        height: 2.5em;
        width: 100%;
        transition: all 80ms;
        font-weight: 600;
        text-transform: uppercase;
    }

    .recommend-box .title {
        font-family: "";
        font-size: 0.9em;
        position: absolute;
        left: 0.625em;
        bottom: 1.875em;
        font-weight: 400;
        width: 90%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .recommend-box .price {
        font-size: 0.9em;
        position: absolute;
        left: 0.625em;
        bottom: 0.625em;
    }

    .recommend-box:hover::after {
        bottom: 0;
    }

    .recommend-box:active {
        transform: scale(0.98);
    }

    .recommend-box:active::after {
        content: "GO!";
        height: 3.125em;
    }

    .recommend-img {
        background: rgb(241, 241, 241);
        width: 100%;
        height: 100%;
        display: grid;
        place-items: center;
        position: relative;
    }

    .recommend-img::before {
        content: '';
        display: block;
        padding-top: 110%;
    }

    .all-box {
        width: 190px;
        background: rgb(34, 30, 31);
        padding: 7px;
        border-radius: 6px;
    }

    .all-image {
        background-color: rgb(236, 236, 236);
        width: 100%;
        border-radius: 6px 6px 0 0;
        position: relative;
    }

    .all-image::before {
        content: '';
        display: block;
        padding-top: 100%;
    }

    .all-image:hover {
        transform: scale(0.98);
    }

    .category {
        text-transform: uppercase;
        font-size: 0.7em;
        font-weight: 600;
        color: rgb(250, 250, 250);
        padding: 10px 7px 0;
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .category:hover {
        cursor: pointer;
    }

    .heading {
        font-weight: 600;
        color: rgb(185, 185, 185);
        padding: 7px 7px 0;
        width: 100%;
        overflow: hidden;
        text-overflow: ellipsis;
        display: -webkit-box;
        -webkit-box-orient: vertical;
        line-clamp: 2;
        -webkit-line-clamp: 2;
    }

    .heading:hover {
        cursor: pointer;
    }

    @media (min-width:800px) {
        .new-box {
            width: calc((100% - 6%)/4);
            margin-right: 2%;
            margin-bottom: 2%;
        }

        .new-box:nth-of-type(4n) {
            margin-right: 0;
        }

        .hot-box {
            width: calc((100% - 6%)/4);
            margin-right: 2%;
            margin-bottom: 2%;
        }

        .hot-box:nth-of-type(4n) {
            margin-right: 0;
        }

        .recommend-box {
            width: calc((100% - 6%)/4);
            margin-bottom: 2%;
            margin-right: 2%;
        }

        .recommend-box:nth-of-type(4n) {
            margin-right: 0;
        }

        .all-box {
            width: calc((100% - 6%)/4);
            margin-right: 2%;
            margin-bottom: 2%;
        }

        .all-box:nth-of-type(4n) {
            margin-right: 0;
        }
    }

    @media (max-width:799px) {
        section {
            flex-direction: column;
        }

        .lef-box,
        .rig-box {
            width: 98%;
            margin: 0 auto;
            position: relative;
        }

        .new-box {
            width: calc((100% - 2%)/2);
            margin-right: 2%;
            margin-bottom: 2%;
        }

        .new-box:nth-of-type(2n) {
            margin-right: 0;
        }

        .hot-box {
            width: 100%;
            margin-bottom: 8%;
        }

        .recommend-box {
            width: calc((100% - 2%)/2);
            margin-bottom: 2%;
            margin-right: 2%;
        }

        .recommend-box:nth-of-type(2n) {
            margin-right: 0;
        }

        .all-box {
            width: calc((100% - 2%)/2);
            margin-right: 2%;
            margin-bottom: 2%;
        }

        .all-box:nth-of-type(2n) {
            margin-right: 0;
        }

        .hot-img {
            height: 100%;
            filter: blur(7px);
            animation: anim 3s infinite;
        }

        .textBox {
            opacity: 1;
        }
    }